summaryrefslogtreecommitdiffstats
path: root/utils/daemon.sh
diff options
context:
space:
mode:
authorroot <root@localhost>2012-12-30 16:05:36 +0330
committerMahrud Sayrafi <mahrud@eve>2012-12-30 05:33:01 -0800
commitb300254ee1f308c440d8e8d8129fb863b6ec9599 (patch)
tree13b4c0871e5ed92b517c002ab815da7f0fe5fbcc /utils/daemon.sh
parent9cb5ecf6956115140521d74cea8b4191634842fd (diff)
downloadhellijudge-legacy.git-b300254ee1f308c440d8e8d8129fb863b6ec9599.tar.gz
hellijudge-legacy.git-b300254ee1f308c440d8e8d8129fb863b6ec9599.tar.xz
hellijudge-legacy.git-b300254ee1f308c440d8e8d8129fb863b6ec9599.zip
Making the legacy more usefulv0.9
Added a brief installation guide in README along with etc config file samples. Added a couple of useful start and kill scripts in utils folder. Added two sample problems (one normal one interactive) along with testers in utils folder.
Diffstat (limited to 'utils/daemon.sh')
-rwxr-xr-xutils/daemon.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/utils/daemon.sh b/utils/daemon.sh
new file mode 100755
index 0000000..ab1d24f
--- /dev/null
+++ b/utils/daemon.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+LOCK=$JUDGE_PREFIX/judge.pid #FIXME
+
+if [ -e $LOCK ]
+then
+ PID=`cat $LOCK`
+
+ if ps $PID >/dev/null
+ then
+ echo "Daemon is already running and it's PID is $PID." >&2
+ exit 1
+ else
+ rm -f $LOCK
+ fi
+fi
+
+sh $JUDGE_PREFIX/base/daemon.sh &>> $JUDGE_PREFIX/log/error.log &